/**
 * Runy
 */
main() {
  String dollarSymbol = '\u0024'; 

  print(dollarSymbol); // wyświetla symbol ($) 

  print(dollarSymbol.codeUnits); // wyświetla 36, 16-bitowy zapis(0x0024) w postaci decymalnej

  print(dollarSymbol.runes); // wyświetla 36, the 32-bitowy zapis(0x0024) w postaci decymalnej

  String astonishedFace = '\u{1f632}'; 

  print(astonishedFace); // wyświetla 😲

  print(astonishedFace.codeUnits); // wyświetla [55357, 56882], 16-bitowy zapis emotikonu twarzy

  print(astonishedFace.runes); // wyświetla (128562), 32-bitowy zapis emotikonu twarzy

}
